Contribute
Register

gibMacOS Tutorial ~ How to Download macOS Directly from Apple

Joined
Jan 24, 2014
Messages
7
Motherboard
Gigabyte z87x-oc force
CPU
i7 4770k
Graphics
evga nvidia geforce gtx760
Mac
  1. Mac Pro
Run this in Terminal and see what version you have.
Code:
python --version

Any way you could upgrade to at least Sierra ?
2.7.5

I cannot upgrade my laptop, especially right now. The build I want to make is a replacement for a hackintosh that ran maverick, and now the laptop is my only computer and I have nothing to back it up to, and I dont want to risk any of my apps breaking now.
 

trs96

Moderator
Joined
Jul 30, 2012
Messages
23,330
Motherboard
GA-Z97X-UD3H-BK
CPU
i5-4690K
Graphics
HD4600 / RX 570
Mac
  1. MacBook Pro
  2. Mac mini
Mobile Phone
  1. Android
2.7.5

I cannot upgrade my laptop, especially right now. The build I want to make is a replacement for a hackintosh that ran maverick, and now the laptop is my only computer and I have nothing to back it up to, and I dont want to risk any of my apps breaking now.
OK. Try updating Python to 3.8.7 to see if that makes any difference.

Use only one of the stable releases.
 
Last edited:
Joined
Jan 23, 2021
Messages
6
Motherboard
ga-x48-dq6
CPU
Q9500
Graphics
GTX 750 Ti
Run this in Terminal and see what version you have.
Code:
python --version

Any way you could upgrade to at least Sierra ?
That 's it.
It's a python 3 script! (So yeah great start of that readme)

So: cd to the directory in terminal.
then:

python3 gibMacOS.command
 
Joined
Jan 24, 2014
Messages
7
Motherboard
Gigabyte z87x-oc force
CPU
i7 4770k
Graphics
evga nvidia geforce gtx760
Mac
  1. Mac Pro
Fixed it. Note to anyone else, default python in the terminal is python 2, and you probably dont want to change that.

Check if Python 3 is installed with: python3 --version

Invoke python with: python3
and then drag and drop,

or type it just like smaxsmax: python3 gibMacOS.command
 
Joined
May 11, 2015
Messages
14
Motherboard
Gigabyte GA-X58A-UD3R (rev. 2.0)-FF
CPU
Xeon W3680 - MacPro 5,1
Graphics
Asus GeForce 210
Mac
  1. Mac Pro
Mobile Phone
  1. Android
FIXED

Hello, my current OS is Yosemite 10.10.2 and I'm preparing to update with Catalina.

I have python 2.7.6 and just installed python 3.9.1
When I run python3 gibMacOS.command I get this:

-------------------------------------------------------------------
Dandelions-Mac-Pro:~ Dandelion$ python3 gibMacOS.command
/Library/Frameworks/Python.framework/Versions/3.9/bin/python3: can't open file '/Users/Dandelion/gibMacOS.command': [Errno 2] No such file or directory
Dandelions-Mac-Pro:~ Dandelion$
-------------------------------------------------------------------

The command seems to be looking in the user folder and not the Downloads/gibMacOS-master folder.

I moved the contents of the gibMacOS-master folder to my user folder, ran python3 gibMacOS.command and it's working...thanks for the previous threads.
 
Last edited:
Joined
Apr 19, 2021
Messages
1
Motherboard
GYGABITE AORUS Z390 ELITE
CPU
I9-9900FK
Graphics
RX 580
The number one changed to Big Sur version...
 
Joined
Mar 31, 2020
Messages
12
Motherboard
GA z77n wifi
CPU
i7-3770
Graphics
intel HD Graphics 4000 1536MB
Mac
  1. MacBook Pro
Mobile Phone
  1. Android
Hi! I have a hackintosh with this specs:

Gigabyte GA-Z77N-WIFI (rev. 1.0)
Corsair Vengeance - RAM DDR3 (PC1600, 8 GB, CL9)
Intel Core i7-3770K Quad-Core Processor 3.5 GHz 8 MB Cache LGA 1155 - BX80637I73770K
Samsung 870 EVO 500gb


Running fine El Capitan since 2012. Now I'd like to update, but can't do it through App Store. Wich is the last OsX I will be able to install and work fine? I'd like to download straight the good version and make a fresh install.
Thanks in advance

 
Last edited:

trs96

Moderator
Joined
Jul 30, 2012
Messages
23,330
Motherboard
GA-Z97X-UD3H-BK
CPU
i5-4690K
Graphics
HD4600 / RX 570
Mac
  1. MacBook Pro
  2. Mac mini
Mobile Phone
  1. Android
Joined
Mar 31, 2020
Messages
12
Motherboard
GA z77n wifi
CPU
i7-3770
Graphics
intel HD Graphics 4000 1536MB
Mac
  1. MacBook Pro
Mobile Phone
  1. Android
You will probably have to use a newer SMBIOS than what you have now. Try iMac15,1 with Big Sur.

Thanks! I got it, I change the definition to 1
Imac15.1 but "about this mac" says I'm on a mac mini server late 2012. Weird, and doen't let me install big sur :(
 
Top